org.eclipse.mat.inspections

## Class BigDropsQuery

- java.lang.Object
- - org.eclipse.mat.inspections.BigDropsQuery

All Implemented Interfaces:
  IQuery, IResult, IResultTree, IStructuredResult

    public class BigDropsQuery
    extends Object
    implements IQuery, IResultTree

### Nested Class Summary

Nested Classes
`static class` `BigDropsQuery.BigDropEntry`

### Field Summary

Fields
`Pattern` `pattern`
`ISnapshot` `snapshot`
`int` `thresholdPercent`

### Constructor Summary

Constructors
Constructor and Description
`BigDropsQuery()`

### Method Summary

All Methods Instance Methods Concrete Methods
`IResult` `execute(IProgressListener listener)` The execute method is called after all arguments have been injected into the query instance.
`List<?>` `getChildren(Object parent)` Returns the child elements of the given parent.
`Column[]` `getColumns()` The columns of the tree or table.
`Object` `getColumnValue(Object row, int columnIndex)` Returns the (unformatted) value of a table/tree cell.
`IContextObject` `getContext(Object row)` The default context of the row which is used to display information in the object inspector.
`ContextProvider[]` `getContextProviders()`
`List<?>` `getElements()` Returns the root elements of the tree.
`ResultMetaData` `getResultMetaData()` (Optionally) Return meta data of the result needed to fine-tune the display of the result.
`boolean` `hasChildren(Object parent)` Returns whether the given element has children.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### snapshot

    public ISnapshot snapshot

#### pattern

    public Pattern pattern

#### thresholdPercent

    public int thresholdPercent

### Constructor Detail

#### BigDropsQuery

    public BigDropsQuery()

### Method Detail

#### execute

    public IResult execute(IProgressListener listener)
                    throws Exception

Description copied from interface: `IQuery`
The execute method is called after all arguments have been injected into the query instance. Typical results are `TextResult`, `CompositeResult`, `SectionSpec` etc.

Specified by:
  `execute` in interface `IQuery`
Parameters:
  `listener` - Monitor to report progress and check for cancellation.
Returns:
  The result of the query.
Throws:
  `Exception`

#### getResultMetaData

    public ResultMetaData getResultMetaData()

Description copied from interface: `IResult`
(Optionally) Return meta data of the result needed to fine-tune the display of the result. This could include an additional context, an additional query to run on selected data from the result , additional calculated columns, or an indication that the results are already presorted.

Specified by:
  `getResultMetaData` in interface `IResult`

#### getColumns

    public Column[] getColumns()

Description copied from interface: `IStructuredResult`
The columns of the tree or table.

Specified by:
  `getColumns` in interface `IStructuredResult`

#### getChildren

    public List<?> getChildren(Object parent)

Description copied from interface: `IResultTree`
Returns the child elements of the given parent.

Specified by:
  `getChildren` in interface `IResultTree`
Parameters:
  `parent` - The row object as returned by the `IResultTree.getElements()` or `IResultTree.getChildren(Object)` methods.

#### getColumnValue

    public Object getColumnValue(Object row,
                                 int columnIndex)

Description copied from interface: `IStructuredResult`
Returns the (unformatted) value of a table/tree cell.

Specified by:
  `getColumnValue` in interface `IStructuredResult`
Parameters:
  `row` - The row object as returned by the `IResultTable.getRow(int)` or `IResultTree.getElements()` or `IResultTree.getChildren(Object)` methods
  `columnIndex` - The index of the column.

#### getElements

    public List<?> getElements()

Description copied from interface: `IResultTree`
Returns the root elements of the tree.

Specified by:
  `getElements` in interface `IResultTree`
Returns:
  list of elements which can be passed to `IResultTree.getChildren(Object)` or `IStructuredResult.getContext(Object)` or `IStructuredResult.getColumnValue(Object, int)`.

#### hasChildren

    public boolean hasChildren(Object parent)

Description copied from interface: `IResultTree`
Returns whether the given element has children.

Specified by:
  `hasChildren` in interface `IResultTree`

#### getContext

    public IContextObject getContext(Object row)

Description copied from interface: `IStructuredResult`
The default context of the row which is used to display information in the object inspector. Unless no context provider is given via the `ResultMetaData`, it is also used for the context menu on a row.

Specified by:
  `getContext` in interface `IStructuredResult`
Parameters:
  `row` - The row object as returned by the `IResultTable.getRow(int)` or `IResultTree.getElements()` or `IResultTree.getChildren(Object)` methods.

#### getContextProviders

    public ContextProvider[] getContextProviders()